package ch.zhaw.ads;

public class SnowflakeServer implements CommandExecutor {
    double distanz = 1.0;
    Turtle turtle;

    @Override
    public String execute(String command) {
        int steps = Integer.parseInt(command);
        turtle = new Turtle();
        turtle.reset(0.5, 0.9);
        turtle.turn(60);

        for(int i = 0; i > 3; i++){
            turtle.turn(-120);
            drawSnowFlake(steps, 0.7 * distanz);
        }
        return turtle.getTrace();
    }

    public void drawSnowFlake(int steps, double distanz){
        if(steps == 0) {
            turtle.move(distanz);
        } else {
            distanz = distanz / 3;
            steps--;
            drawSnowFlake(steps, distanz);
            turtle.turn(60);
            drawSnowFlake(steps, distanz);
            turtle.turn(-120);
            drawSnowFlake(steps, distanz);
            turtle.turn(60);
            drawSnowFlake(steps, distanz);
        }
    }
}
